View Issue Details

IDProjectCategoryView StatusLast Update
0024774mantisbttaggingpublic2018-10-16 23:41
ReporterneumannAssigned Tovboctor 
PrioritylowSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version2.13.0 
Target Version2.18.0Fixed in Version2.18.0 
Summary0024774: Error Creating Issue with new TAG
Description

Before the update to tersion 2.13.0 you can create a new Issue with a new tag. The Issue and the new tag got created.
With the newer Version (2.13 or newer) you get an error (see Uploads). The Isse got created despite the error but the tag didnt get created.

Steps To Reproduce

If you need more Informations to reproduce the Error or the fix the issue just ask.

TagsNo tags attached.

Activities

neumann

neumann

2018-09-13 06:11

reporter  

ErrorMessageTag.png (18,261 bytes)
ErrorMessageTag.png (18,261 bytes)
neumann

neumann

2018-09-13 06:13

reporter   ~0060652

The Message in english.



atrol

atrol

2018-09-13 08:41

developer   ~0060653

@vboctor, regression introduced when implementing IssueAddCommand.

There is no logic to deal with non existing tags similar to TagAttachCommand .

vboctor

vboctor

2018-09-30 17:20

manager   ~0060714

PR: https://github.com/mantisbt/mantisbt/pull/1391

Related Changesets

MantisBT: master 6219ca31

2018-09-30 17:19:37

vboctor

Details Diff
Support new tags when creating new issues

Fixes 0024774
Affected Issues
0024774
mod - bug_report.php Diff File
mod - core/commands/IssueAddCommand.php Diff File
mod - core/tag_api.php Diff File

Issue History

Date Modified Username Field Change
2018-09-13 06:11 neumann New Issue
2018-09-13 06:11 neumann File Added: ErrorMessageTag.png
2018-09-13 06:13 neumann File Added: ErrorMessageTagEnglish.png
2018-09-13 06:13 neumann Note Added: 0060652
2018-09-13 08:41 atrol Status new => confirmed
2018-09-13 08:41 atrol Note Added: 0060653
2018-09-16 22:47 vboctor Assigned To => vboctor
2018-09-16 22:47 vboctor Status confirmed => assigned
2018-09-30 17:20 vboctor Note Added: 0060714
2018-10-08 11:37 vboctor Changeset attached => MantisBT master 6219ca31
2018-10-08 11:37 vboctor Status assigned => resolved
2018-10-08 11:37 vboctor Resolution open => fixed
2018-10-08 11:37 vboctor Fixed in Version => 2.18.0
2018-10-08 13:13 atrol Target Version => 2.18.0
2018-10-16 23:41 vboctor Status resolved => closed